#!/usr/bin/env kjscmd

// Demo of TQFrame and enum support

function add_frame( parent )
{
  var v = new TQVBox( parent );
  v.margin = 6;

  return new TQFrame( v );
}

var top = new TQVBox();
var hbox = new TQHBox( top );

var f = add_frame( hbox );
f.frameShape = TQFrame.Box;

f = add_frame( hbox );
f.frameShape = TQFrame.WinPanel | TQFrame.Sunken;

f = add_frame( hbox );
f.frameShape = TQFrame.PopupPanel;

top.resize(300,200);

top.show();
application.exec();
